var vows = require('vows');
var assert = require('assert');
var jsdom = require('jsdom');
var fs = require('fs');
var Tidy = require ('./tidy').Tidy;
var tidy = new Tidy();

vows.describe('jsdom').addBatch({
  'jsdom' : {
    'reads engadget article' : function() {
      var jquery = fs.readFileSync('./jquery-1.6.2.min.js').toString();
      fs.readFile("./engadget_article.html", 'utf-8', function(err, article) {
        console.log("article");
        console.log(article.length);
        if(err) { assert.fail(); }
        else {
          try {
            jsdom.env({
              html: article, 
              src: [jquery],
              done: function(errors, window) {
                assert.fail();
              }
            });
          } catch(err) {
            var tidyHtml = tidy.tidyString(article);
            console.log("TidyHTML: ");
            console.log(tidyHtml);
            jsdom.env({
              html: tidyHtml,
              src: [jquery],
              done: function(errors, window) {
                assert.equal(1,1);
              }
 
            });
          }
        }
      });
  
    }
  }
}).export(module);
